# boilr

[![Travis Widget]][Travis] ![License Widget] ![Release Widget]

[Travis Widget]: https://img.shields.io/travis/tmrts/boilr.svg?style=flat-square
[Travis]: http://travis-ci.org/tmrts/boilr
[License Widget]: https://img.shields.io/github/license/tmrts/boilr.svg?style=flat-square
[Release Widget]: https://img.shields.io/github/release/tmrts/boilr.svg?style=flat-square

<img src="/logo.png" height="400" align="middle"/>
<br />
<br />
Are you doing the same steps over and over again every time you start a new programming project?

`boilr` is a powerful language-agnostic command-line boilerplate template tool here to help you.

For more details, see [Introduction](https://github.com/tmrts/boilr/wiki/Introduction) page.

# Features
- Blazingly Fast
- No dependencies (NodeJS, Python Interpreter etc.)
- Full power of [golang templates](https://golang.org/pkg/text/template/) (Easy to learn & powerful)

# Usage
To use templates shared by others and create your own please take a look at the
[Usage](https://github.com/tmrts/boilr/wiki/Usage) and [Creating Templates](https://github.com/tmrts/boilr/wiki/Creating-Templates)
pages in the wiki.

# Template Catalog
Take a look at [Templates](https://github.com/tmrts/boilr/wiki/Templates) page for a list of project templates, examples, and more information.

# Contributing
If you'd like to contribute, share your opinions or learn more, please feel free to open an issue.

At this stage, user feedback is of **utmost importance**, every contribution is welcome however small it may be.

## Reporting Issues
You can report issues **directly from the command-line** by using the command, `boilr report`.

A markdown file will be opened where the first line is the issue title and the rest 
is the issue body. 

After creating the issue, save & exit the editor and you will be
prompted for github credentials needed to create the issue.

# How Do I Get It?
There are binaries available for Linux & OSX. You can download them directly,
or run the installation script. Please see [Installation](https://github.com/tmrts/boilr/wiki/Installation) page for more information.
